org.hibernate.search.query.dsl.impl

## Class ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl

- java.lang.Object
- - org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder
  - - org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl

- All Implemented Interfaces:
    MoreLikeThisToEntityContentAndTermination, Termination<MoreLikeThisToEntityContentAndTermination>
  Enclosing class:
    ConnectedMoreLikeThisQueryBuilder

      public static final class ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl
      extends ConnectedMoreLikeThisQueryBuilder
      implements MoreLikeThisToEntityContentAndTermination

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder

      `ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE, ConnectedMoreLikeThisQueryBuilder.MoreLikeThisTerminationImpl, ConnectedMoreLikeThisQueryBuilder.MoreLikeThisToEntityContentAndTerminationImpl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoreLikeThisToEntityContentAndTerminationImpl(Object id, ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType, FieldsContext fieldsContext, MoreLikeThisQueryContext moreLikeThisContext, org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer, QueryBuildingContext queryContext)`

  - ### Method Summary

    - ### Methods inherited from class org.hibernate.search.query.dsl.impl.ConnectedMoreLikeThisQueryBuilder

      `createQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.query.dsl.Termination

      `createQuery`

- - ### Constructor Detail

    - #### MoreLikeThisToEntityContentAndTerminationImpl

          public MoreLikeThisToEntityContentAndTerminationImpl(Object id,
                                                               ConnectedMoreLikeThisQueryBuilder.INPUT_TYPE inputType,
                                                               FieldsContext fieldsContext,
                                                               MoreLikeThisQueryContext moreLikeThisContext,
                                                               org.hibernate.search.query.dsl.impl.QueryCustomizer queryCustomizer,
                                                               QueryBuildingContext queryContext)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved